%define	major	3
%define	libname	%mklibname autotrace %{major}

%define	name	autotrace
%define	version	0.31.1
%define	release	7mdk

Name:	       %{name}
Version:       %{version}
Release:       %{release} 
Source0:       http://ftp1.sourceforge.net/autotrace/%{name}-%{version}.tar.bz2
Summary:       A program for converting bitmap to vector graphics
Group:         Publishing
License:       GPL
URL:           http://autotrace.sourceforge.net
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: pstoedit-devel ImageMagick png-devel zlib-devel libjbig-devel
Requires:      %{libname} = %{version}-%{release}

%description
Autotrace is a program for converting bitmap to vector graphics.
Supported formats:

- Input formats: BMP, TGA, PNM, PPM, PGM, PBM and those supported by
  ImageMagick.

- Export formats: Postscript, svg, xfig, swf, pstoedit, emf, dxf, cgm, 
  mif, p2e and sk

%package -n	%{libname}
Summary:	Autotrace libraries
Group:		System/Libraries

%description -n	%{libname}
This package contains the libraries needed to run programs dynamically
linked with autotrace libraries.

%package -n	%{libname}-devel
Summary:	Static libraries and header files for autotrace development
Group:		Development/C
Provides:	libautotrace-devel = %{version}-%{release}
Provides:	autotrace-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	autotrace-devel

%description -n %{libname}-devel
This package contains the static libraries and header files for
developing applications based on autotrace.

%prep
%setup -q

%build
cp %{_bindir}/Magick-config .
perl -pi -e 's@-I/usr/include @@g' ./Magick-config
export PATH=.:$PATH
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING FAQ README THANKS
%{_bindir}/autotrace
%{_mandir}/man1/*
%{_libdir}/pkgconfig/*.pc

%files -n	%{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n	%{libname}-devel
%defattr(-,root,root)
%doc README
%{_bindir}/autotrace-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_datadir}/aclocal/*

%changelog
* Sat Jul 31 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.31.1-7mdk
- Rebuilt against current ImageMagick.

* Wed Jun 30 2004 Michael Scherer <misc@mandrake.org> 0.31.1-6mdk 
- rebuild for new ImageMagick

* Tue Mar 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.31.1-5mdk
- buildrequires
- quiet setup
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- cosmetics

* Wed Aug 27 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.31.1-4mdk
- Use %%mklibname.

* Tue Feb 18 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.31.1-3mdk
- Rebuilt.

* Thu Jan 23 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.31.1-2mdk
- Rebuilt.

* Fri Nov 22 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.31.1-1mdk
- Release 0.31.1.

* Thu Sep 12 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.30-2mdk
- added library and includes.
- split package in main and devel.

* Sat Jul 27 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.30-1mdk
- initial release.
